/* Menu Hover Animation */
.menu-link {
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.menu-link::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: rgba(30, 115, 190, 0.15);
  transition: left 0.35s ease;
  z-index: -1;
}

.menu-link:hover::before {
  left: 0;
}

/* Active Menu */
.active-menu {
  background: #1e73be !important;
  color: white !important;
  border-radius: 10px;
}

.active-menu i {
  color: white !important;
}

/* Hover icon color */
.menu-link:hover i {
  color: #1e73be;
}

/* Left-to-right hover highlight */
.menu-link {
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.menu-link::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: rgba(30, 115, 190, 0.15);
  transition: left 0.35s ease;
  z-index: -1;
}

.menu-link:hover::before {
  left: 0;
}

/* Active link */
.active-menu {
  background: #1e73be !important;
  color: white !important;
  border-radius: 10px;
}

.active-menu i {
  color: white !important;
}

/* Hover icon color */
.menu-link:hover i {
  color: #1e73be;
}



/*------------------------------------------------- Navbar --------------------------------------------------------*/
